

**Scene Workspaces** creates an alternative workspaces topbar, allowing you to filter and reorder workspaces, scene by scene.  

Basically, you can decide which workspace you want to link to each scene.

> This is possible thanks to a custom property at scene level (which is saved with your .blend file).  
> *This property simply list names of the linked workspaces, in the correct order.*

---

You can customize Scene Workspaces from add-on preferences:

- **Show Switch**  
  *When active, shows a checkbox to switch between Scene Workspaces and the default topbar.*  
    *This checkbox will directly affect the next preference.*  
- **Use Scene Workspaces topbar**  
    *Switch between Scene Workspaces topbar and the default topbar*
- **Use Compact Mode** *(default ON)*  
> *Compact Mode ON*  
> ![Compact Mode On](https://projects.blender.org/Francesco-Bellini/scene_workspaces_addon/raw/branch/main/assets/Topbar%20-%20Compact%20On.png)  
> *Compact Mode OFF*  
> ![Compact Mode Off](https://projects.blender.org/Francesco-Bellini/scene_workspaces_addon/raw/branch/main/assets/Topbar%20-%20Compact%20Off.png)  

---

What you can usually to do by right-clicking on a workspace (and more) it's avaliable by clicking the near options button.  

The first options are the ones from Scene Workspaces:  

- **Toggle Compact Mode** *(preference)*  
- **Unlink workspace from scene**   
- **Rename** *(for all scenes)*
- **Reorder to front** *(only for this scene)*
- **Move left** *(only for this scene)*
- **Move right** *(only for this scene)*
- **Reorder to back** *(only for this scene)*
- **Previous workspace** *(using scene order) `Shift + Ctrl + Page Up`*
- **Next Workspace** *(using scene order) `Shift + Ctrl + Page Down`*  

And then, starting from `Duplicate`, you'll find the default workspace options.  

> **Note**  
> Default options like `Reorder to Front`, `Reorder to Back` will only affect the global workspaces, and not the Scene Workspaces topbar.  
> *Instead, use the ones marked with `(scene only)`.*  
>  
> Also, default options `Previous Workspace` and `Next Workspace` functions will follow the global workspaces order, and not the scene order.  
> *Instead, use the ones marked with `(scene)`.*  

---

You can link other workspaces to the current scene, using the menu with the workspace icon:  

![Link other workspaces](https://projects.blender.org/Francesco-Bellini/scene_workspaces_addon/raw/branch/main/assets/Topbar%20-%20Link%20other%20workspaces.png)  

or by clicking the active workspace, if it's not currently linked  

![Link current](https://projects.blender.org/Francesco-Bellini/scene_workspaces_addon/raw/branch/main/assets/Topbar%20-%20Link%20current.png)  

You can also copy the linked workspaces from another scene, using the menu with the duplicate icon:  

![Copy from scene](https://projects.blender.org/Francesco-Bellini/scene_workspaces_addon/raw/branch/main/assets/Topbar%20-%20Copy%20from%20other%20scene.png)  

You can reorder, rename, link and unlink the Scene Workspaces, using the panel `Properties > Scene > Scene Workspaces`.  

![Scene Workspaces Panel](https://projects.blender.org/Francesco-Bellini/scene_workspaces_addon/raw/commit/74f7f1ab5f12666998737d1b4be5ff233fa03394/assets/Properties%20-%20Scene.png)  

---

If you don't want to setup from scratch your Scene Workspaces on every new project, you can use the add-on [Custom Templates](https://extensions.blender.org/add-ons/custom-templates/),  
and prepare templates with your Scene Workspaces already prepared.

---

## Why Scene Workspaces?

In Blender, workspaces are common across scenes.

At the same time, you may need different workspaces in different scenes, depending on the purpose of the scene.

*For example, you may want a scene with workspaces optimized for modelling and another Scene optimized for Video Editing, in the same project.*

**Scene Workspaces** make this possibile with the custom topbar and a custom property for each scene.

---

For more info, checkout the project's [README](https://projects.blender.org/Francesco-Bellini/scene_workspaces_addon/src/branch/main/README.md).